Posts

Showing posts from March, 2016

Hello World for Contiki on IRIS-XM2110 Mote

Image
For this model, we need a contiki version that supports it. In github, exists a project for contiki-iris that supports this target.

git clone https://github.com/bulajicm/contiki-iris-examples.git
cd contiki-iris-examples/examples/hello-world
make targets (if you see iris, we are ok)
make TARGET=iris savetarget
make hello-world

make: avr-gcc: Command not found

You need to install avr-gcc:
sudo apt-get install gcc-avr

Other common error is:

avr/io.h: No such file or directory

You can use apt-file search avr/io.h to search which library you need to install.
sudo apt-get install avr-libc

Now, we have a .iris file. You need flash your mote with this file. Every where saids that with make hello-world.upload it works, but it doesn't, because Makefile doesn't include an upload option.

We can do the same with avrdude. You only need follow this commands:

sudo apt-get install avrdude
avr-objcopy --output-target=srec hello-world.iris main.srec
cp main.srec main.srec.out
sudo avrdude -cmib51…

Failure [INSTALL_FAILED_DEXOPT] on Android Studio

Image
If you want run your app within the android studio emulator, maybe you will see this message:
Installation failed since the device possibly has stale dexed jars that don't match the current version (dexopt error). In order to proceed, you have to uninstall the existing application.
WARNING: Uninstalling will remove the application data!
Do you want to uninstall the existing application?










Don't worry, you can fix it. Go to Android Virtual Device Manager and click on Wipe Data.



How to run sample2016.zip for PhysioNet/Computing in Cardiology Challenge on Ubuntu 15.10 with Matlab R2015b

I create this post for Biomedical Signal Analysis course.
First, we need download the sample file:
wget http://physionet.org/challenge/2016/sample2016.zip

and the validation file, that includes wav files:
wget http://physionet.org/physiobank/database/challenge/2016/validation.zip

Now, run
unzip -e sample2016.zip
cd sample2016
chmod +x setup.sh
./setup.sh

Building with 'gcc'.
Warning: You are using gcc version '5.2.1'. The version of gcc is not supported. The version currently supported with MEX is '4.7.x'. For a list of currently supported compilers see: http://www.mathworks.com/support/compilers/current_release.

We need downgrade our gcc version to 4.7.x
We can use another version without uninstall the last version installed on our system. For this, do as folllows:

sudo apt-get install gcc-4.7
sudo rm /usr/bin/gcc
sudo ln -s /usr/bin/gcc-4.7 /usr/bin/gcc

Now, execute setup.sh again:

Building with 'gcc'.
/usr/bin/ld: cannot find -lstdc++
collect2: error: ld …

Fix MEvent. CASE! in Matlab

Image
I you tried two-finger scrolling in Matlab, maybe you have read MEvent. CASE!



It is quite annoying. To disable this message, go to your gnome-terminal and write:

synclient HorizTwoFingerScroll=0

Install Android Studio on Ubuntu 15.10 64 bits

Image
First, just in case, we going to install this libraries: sudo apt-get install libc6:i386 libncurses5:i386 libstdc++6:i386 lib32z1
Now, we need to download the last version from google wget https://dl.google.com/dl/android/studio/ide-zips/1.5.1.0/android-studio-ide-141.2456560-linux.zip unzip -e android-studio-ide-141.2456560-linux.zip cd android-studio/bin ./studio.sh
At the beginning we can see an alert: "IBus prior to 1.5.11 may cause input problem. See IDEA-78860 for details."
to fix it, you can go to: System Settings ­> Language Support Now, change IBus to none

Now restart you system. Run again studio.sh. If you see a warning like this: " WARN - dea.updater.SdkComponentSource - Couldn't find existing SDK" or the setup fails with this message: "ignoring unknown package filter 'platform-tools'", means that you don't have android SDK installed. To install it, do as follows:
wget https://dl.google.com/android/android-sdk_r24.4.1-linux.t…